Skip to main content
GET
/
projects
/
{project_id}
/
notifications
List notifications for a project
curl --request GET \
  --url https://platform.versori.com/api/v2/projects/{project_id}/notifications \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "environment_id": "<string>",
      "channel_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "channelName": "<string>",
      "config": {
        "email": {
          "to": "<string>",
          "cc": [
            "<string>"
          ]
        }
      },
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

project_id
string<ulid>
required

Query Parameters

env_id
string

Response

200 - application/json

A list of project notifications

items
object[]
required